#ifndef	_MIDI_H
#define	_MIDI_H

#ifndef	_SPDEFS_H
#	include	<spdefs.h>
#endif

#define	MID_PORT_MAX				(16)

#define	MID_NOTEOFF					0x80	/* m[gIt					*/
#define	MID_NOTEON					0x90	/* m[gI					*/
#define	MID_POLYPHONICAFTERTOUCH	0xA0	/* |tHjbNAt^[^b`	*/
#define	MID_CONTOROLLCHANGE			0xB0	/* Rg[`FW			*/
#define	MID_PROGRAMCHANGE			0xC0	/* vO`FW			*/
#define	MID_CHANNELAFTERTOUCH		0xD0	/* `lAt^[^b`		*/
#define	MID_PITCHBEND				0xE0	/* sb`xh`FW			*/

/*	"midictrl.c"	------------------------------------------------*/
extern	int		MID_sysInit(void);
extern	void	MID_sysEnd(void);

extern	UCHAR	*MID_getMidiPortTbl(void);
extern	int		MID_send( int port, CONST char *buf, size_t siz );
extern	void	MID_clearRunStt(void);
extern	void	MID_allNoteoff(void);
extern	void	MID_noteon( int port, CONST char *buf );
extern	void	MID_noteoff( int port, CONST char *buf );
extern	void	MID_polyphonicAfterTouch( int port, CONST char *buf );
extern	void	MID_contorollChange( int port, CONST char *buf );
extern	void	MID_programChange( int port, CONST char *buf );
extern	void	MID_channelAfterTouch( int port, CONST char *buf );
extern	void	MID_pitchBend( int port, CONST char *buf );
extern	void	MID_exclusive( int port, CONST char *buf, size_t len);
extern	void	MID_putc( int port, int ch );

/*	"midplay.c"	----------------------------------------------------*/
extern	int		MID_playStart( char *fn );
extern	int		MID_playStop(void);
extern	int		MID_playStatFlag(void);

#endif
